dofile("Scripts/levelManager.lua");

LManager = LevelManager.create();

LManager:AwardUpgrade(eUPGRADE_SAMMY);

LManager:AddGame(eGAME_METER);
LManager:AddGame(eGAME_SPIN);
--LManager:AddGame(eGAME_RECALL);
--LManager:AddGame(eGAME_SHELL);
--LManager:AddGame(eGAME_COMBO);

-- skewed square formation
LManager:AddTable(eTYPE_TABLE4, 150, 375);
LManager:AddTable(eTYPE_TABLE5, 330, 375);
LManager:AddTable(eTYPE_TABLE6, 510, 375);
LManager:AddTable(eTYPE_TABLE8, 280, 490);

seated = LManager.GenSeated(eTYPE_SEATED3);
seated.tableIdx = 1;
LManager:AddSeated(seated);

seated = LManager.GenSeated(eTYPE_SEATED4);
seated.tableIdx = 2;
LManager:AddSeated(seated);

seated = LManager.GenSeated(eTYPE_SEATED7);
seated.tableIdx = 3;
LManager:AddSeated(seated);

seated = LManager.GenSeated(eTYPE_SEATED1);
seated.tableIdx = 4;
LManager:AddSeated(seated);

guest = LManager.GenGuest(eTYPE_GUEST2);
guest.needs[1] = eWANT_DRINK;
guest.times[1] = 32000;
guest.needs[2] = eWANT_TALK;
guest.times[2] = 53000;
guest.needs[3] = eWANT_GIFT;
guest.times[3] = 92000;
guest.needs[4] = eWANT_TALK;
guest.times[4] = 103000;
guest.needs[5] = eWANT_TALK;
guest.times[5] = 153000;
guest.needs[6] = eWANT_GIFT;
guest.times[6] = 192000;
LManager:AddGuest(guest);

guest = LManager.GenGuest(eTYPE_GUEST4);
guest.needs[1] = eWANT_TALK;
guest.times[1] = 16000;
guest.needs[2] = eWANT_DRINK;
guest.times[2] = 40000;
guest.needs[3] = eWANT_GIFT;
guest.times[3] = 84000;
guest.needs[4] = eWANT_TALK;
guest.times[4] = 110000;
guest.needs[5] = eWANT_GIFT;
guest.times[5] = 146000;
guest.needs[6] = eWANT_TALK;
guest.times[6] = 160000;
LManager:AddGuest(guest);

guest = LManager.GenGuest(eTYPE_GUEST1);
guest.needs[1] = eWANT_GIFT;
guest.times[1] = 8000;
guest.needs[2] = eWANT_GIFT;
guest.times[2] = 60000;
guest.needs[3] = eWANT_TALK;
guest.times[3] = 76000;
guest.needs[4] = eWANT_TALK;
guest.times[4] = 118000;
guest.needs[5] = eWANT_TALK;
guest.times[5] = 138000;
guest.needs[6] = eWANT_DRINK;
guest.times[6] = 168000;
LManager:AddGuest(guest);

guest = LManager.GenGuest(eTYPE_GUEST3);
guest.needs[1] = eWANT_DRINK;
guest.times[1] = 2500;
guest.needs[2] = eWANT_TALK;
guest.times[2] = 68000;
guest.needs[3] = eWANT_DRINK;
guest.times[3] = 124000;
guest.needs[4] = eWANT_TALK;
guest.times[4] = 176000;
guest.needs[5] = eWANT_GIFT;
guest.times[5] = 184000;
LManager:AddGuest(guest);

LManager:AdjustGuestHappiness(150);
LManager:SetSnackTime(20000);

LManager:SetLevelNumber(1,6);
LManager:SetLevelScores(3800, 4500);
LManager:SetLevelTime(50000);

gameObject = LManager:GenerateGameObject();

levelSetting = LManager:GenerateLevelSettings();